#include <stdio.h>
#include <string.h>
#include <netdb.h>
#include <netinet/in.h>
#include <sys/socket.h>

#include "dns.h"

char *dnsquery(char *ipname)
{
	struct hostent *hinfo;
	unsigned int 	u1,u2,u3,u4;
	int 				erg=0;
	char 				addr[16];
	static char		retname[33];

	erg = sscanf(ipname, "%u.%u.%u.%u", &u1, &u2, &u3, &u4);
	if (erg == 4) 
	{
		sprintf(addr, "%c%c%c%c", u1, u2, u3, u4);
		hinfo = gethostbyaddr(addr, sizeof(AF_INET), AF_INET);
		
		if (hinfo != NULL)
		{
			strncpy(retname, hinfo->h_name, 32);
			return (retname);

		}
		else
		{
			sprintf(retname, "<%s>", ipname);
			return (retname);
		}
	}

	return (ipname);
}
